Salsa20 Struct Reference

Salsa20, variable rounds: 8, 12 or 20 (default 20) More...

`#include <salsa.h>`

Inheritance diagram for Salsa20:

## Public Types

typedef SymmetricCipherFinal < ConcretePolicyHolder < Salsa20_Policy, AdditiveCipherTemplate <> >, Salsa20_Info > | Encryption
typedef Encryption | Decryption

## Static Public Member Functions

static const char * | StaticAlgorithmName ()
static size_t | StaticGetValidKeyLength (size_t n)

## Static Public Attributes

static const int | MIN_KEYLENGTH
static const int | MAX_KEYLENGTH
static const int | DEFAULT_KEYLENGTH
static const int | KEYLENGTH_MULTIPLE
static const int | IV_REQUIREMENT
static const int | IV_LENGTH

## Detailed Description

Salsa20, variable rounds: 8, 12 or 20 (default 20)

Definition at line 34 of file salsa.h.

The documentation for this struct was generated from the following file:

- salsa.h